-- ================================================
-- Transact-SQL (T-SQL) sample
--
-- Copyright (c) 2021 https://www.curict.com
-- This software is released under the MIT License, see LICENSE.txt.
-- ================================================

-------------------------------------------------
--テスト用のテーブル準備
-------------------------------------------------
/*
--[TestTable] があれば、DROP TABLE で削除
IF exists (SELECT * FROM sysobjects WHERE id = object_id('.TestTable') and sysstat & 0xf = 3)
BEGIN
    DROP TABLE [TestTable];
END

--テーブル作成
CREATE TABLE [TestTable](
    [id] [int],
    [name] [NVARCHAR](10),

    CONSTRAINT [TestTable_PRIMARY] PRIMARY KEY CLUSTERED
    (
        [id] ASC
    )
);
*/

-------------------------------------------------
--100件のレコードをINSERT
-------------------------------------------------

--変数宣言
DECLARE @index INTEGER;

--ループ用変数を初期化
SET @index = 0;

WHILE @index < 100
BEGIN
    --ループ用変数をインクリメント
    SET @index = @index + 1

    --INSERT
    INSERT INTO [TestTable]
    (
         [id]
        ,[name]
    )
    VALUES
    (
         @index
        ,'name' + CAST(@index AS NVARCHAR)
    );
END


--確認
SELECT COUNT(*) AS [レコード件数]  FROM [TestTable];
SELECT * FROM [TestTable];
